import React from 'react';
import { Element, NodeEntry, Range, Text } from 'slate';
/**
 * `RenderElementProps` are passed to the `renderElement` handler.
 */
export interface RenderElementProps {
    children: any;
    element: Element;
    attributes: {
        'data-slate-node': 'element';
        'data-slate-inline'?: true;
        'data-slate-void'?: true;
        dir?: 'rtl';
        ref: any;
    };
}
/**
 * `RenderLeafProps` are passed to the `renderLeaf` handler.
 */
export interface RenderLeafProps {
    children: any;
    leaf: Text;
    text: Text;
    attributes: {
        'data-slate-leaf': true;
    };
}
/**
 * Editable.
 */
export declare const Editable: (props: {
    decorate?: ((entry: NodeEntry) => Range[]) | undefined;
    onDOMBeforeInput?: ((event: Event) => void) | undefined;
    placeholder?: string | undefined;
    readOnly?: boolean | undefined;
    role?: string | undefined;
    style?: React.CSSProperties | undefined;
    renderElement?: ((props: RenderElementProps) => JSX.Element) | undefined;
    renderLeaf?: ((props: RenderLeafProps) => JSX.Element) | undefined;
} & React.TextareaHTMLAttributes<HTMLDivElement>) => JSX.Element;
//# sourceMappingURL=editable.d.ts.map