/**
 * The `InsertDataCommand` inserts content from a `DataTransfer` object.
 */
export interface InsertDataCommand {
    type: 'insert_data';
    data: DataTransfer;
}
/**
 * The `ReactCommand` union for all commands that the React plugins defines.
 */
export declare type ReactCommand = InsertDataCommand;
export declare const ReactCommand: {
    /**
     * Check if a value is an `InsertDataCommand` object.
     */
    isInsertDataCommand(value: any): value is InsertDataCommand;
    /**
     * Check if a value is a `ReactCommand` object.
     */
    isReactCommand(value: any): value is InsertDataCommand;
};
//# sourceMappingURL=react-command.d.ts.map